#include <QtGui>
#include <QApplication>
#include <QtCore>

#include "connexion.h"
#include "alarmedialog.h"
#include "absencedialog.h"


extern QString g_nomentre;
extern QString g_guidentre;
QString g_pathabsolu;
QString g_paramarg;
int main(int argc, char *argv[])
{
  QString donneenom;//faut-il les garder ?
  QString donneeprenom;

  //on lance l'application qui attend le bon vouloir de l'utilisateur
  QApplication app(argc, argv);
  QStringList arguments = app.arguments();
  QFileInfo pathinfo(arguments[0]);
  g_pathabsolu = pathinfo.absolutePath();
  //on lance la connexion à DrTuxTest, placé là car nécessite le pathabsolu
  if(CreateConnection()==false){
      QMessageBox msgdb;
	msgdb.setWindowTitle(QObject::trUtf8("Erreur ouverture de base 20"));
	msgdb.setText(QObject::trUtf8("Impossible de se connecter à la base "));
	msgdb.setIcon(QMessageBox::Critical);
	msgdb.exec();
	if(QMessageBox::Ok){
	return false;
	}
}
  //QLabel *label = new QLabel;
  //label->setText(""+pathabsolu+"");
  //label->show();
  if(arguments.count() > 1){
      g_guidentre = arguments[4];
      g_paramarg = arguments[13];//correspond au nom de l'utilisateur de medintux

      Alarmedialog *dialog = new Alarmedialog;
                    dialog->show();
      QSqlDatabase db = QSqlDatabase::database();
      QStringList tables;
      tables = db.tables(QSql::Tables);
      QSqlTableModel *alarme = new QSqlTableModel;
      alarme->setTable("Alarmes");
      //---------test de l'absence de tables ou de la presence d'une ancienne table--------------------
      QString un   = "un";
      QString deux = "deux";
      if((tables.contains("Alarmes",Qt::CaseInsensitive)==false) ){
          absencedialog *absence = new absencedialog(un);
          absence->show();
      }
      else if(alarme->fieldIndex("Alarm_utilisateur") == -1){
          absencedialog *absence = new absencedialog(deux);
          absence->show();
      }
      //--------------------------------------------------------------------------------------------------
  return app.exec();
}
else
{
g_nomentre="mafanfancherie";
Alarmedialog *dialog = new Alarmedialog;
dialog->show();
QSqlDatabase db = QSqlDatabase::database();
QStringList tables;
tables = db.tables(QSql::Tables);
QSqlTableModel *alarme = new QSqlTableModel;
alarme->setTable("Alarmes");
      //---------test de l'absence de tables ou de la presence d'une ancienne table--------------------
      QString un   = "un";
      QString deux = "deux";
      if((tables.contains("Alarmes",Qt::CaseInsensitive)==false) ){
          absencedialog *absence = new absencedialog(un);
          absence->show();
      }
      else if(alarme->fieldIndex("Alarm_utilisateur") == -1){
          absencedialog *absence = new absencedialog(deux);
          absence->show();
      }
      //--------------------------------------------------------------------------------------------------
return app.exec();
}
}
